> For the complete documentation index, see [llms.txt](https://docs.payanyway.ru/marketplace/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payanyway.ru/marketplace/samozanyatye/scenarii-ispolzovaniya-npd-api/11.-ustanovka-prav-na-platformu.md).

# 16. Установка прав для маркетплейса

Самозанятый в личном кабинете ФНС может отозвать все или некоторые права у маркетплейса. В этом случае нужно отправить запрос на повторную установку прав:

[**https://my.payanyway.ru/npdapi/postgrantedpermissions**](https://my.payanyway.ru/npdapi/postgrantedpermissions)

Принимаемые параметры:

* key - (security\_key) (строка, до 32-х символов)
* inn - ИНН самозанятого (строка до 12-ти символов)
* signature - подпись запроса (строка, до 32-х символов)

Ответ на запрос имеет структуру:

* requestId - ID запроса - нужен для идентификации url уведомлений, которые придут в ответ на данный запрос (число, до 11-ти знаков)
* methodName - имя запроса (строка, до 32-х символов)
* requestStatus - статус запроса - может иметь одно из значений: NEW (создан новый запрос), ACTIVE - запрос сработал, DONE - запрос завершен и NO\_MESSAGE\_ID (не был получен ID сообщения от АИС “Налог-3” - в этом случае запрос до АИС “Налог-3” будет повторяться автоматически до получения ID сообщения от АИС “Налог-3”) (строка, до 32-х символов)
* methodId - ID сообщения от АИС “Налог-3” (строка, до 50-ти символов)
* debugData - данные для отладки - массив json, имеющий следующую структуру:
  * token - (строка, до 32-х символов)
  * userIdentity - (строка, до 255-ти символов)
* result - json массив
  * Body - json массив
    * GetMessageResponse - json массив
      * ProcessingStatus - (строка, до 32-х символов)
      * Message - json массив
        * PostGrantedPermissionsResponse - json массив
          * Id - (строка, до 32-х символов)

Пример ответа:

```
{
   "requestId":16293,
   "methodName":"postgrantedpermissions",
   "requestStatus":"ACTIVE",
   "methodId":"44afa237-c7ab-41c4-95b5-294dc9bf9443",
   "debugData":{
      "token":"46f49f0c4ee54725b5ab09e7ea512e6c",
      "userIdentity":"aW5zdGE="
   },
   "result":{
      "Body":{
         "GetMessageResponse":{
            "ProcessingStatus":"COMPLETED",
            "Message":{
               "PostGrantedPermissionsResponse":{
                  "Id":"307834"
               }
            },
            "FileLinks":[
               
            ]
         }
      }
   }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payanyway.ru/marketplace/samozanyatye/scenarii-ispolzovaniya-npd-api/11.-ustanovka-prav-na-platformu.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
